package query

import (
	"net/http"

	"qnc-server/app/main/api/internal/logic/query"
	"qnc-server/app/main/api/internal/svc"
	"qnc-server/app/main/api/internal/types"
	"qnc-server/common/result"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func QueryServiceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.QueryServiceReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		l := query.NewQueryServiceLogic(r.Context(), svcCtx)
		resp, err := l.QueryService(&req)
		result.HttpResult(r, w, resp, err)
	}
}
